Debian Bug report logs - #388559
Does not use correct device

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Jan Grant <jan.grant@bristol.ac.uk>

Date: Thu, 21 Sep 2006 08:48:02 UTC

Severity: important

Merged with 542193, 610641

Fixed in version 1.86

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#388559; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Jan Grant <jan.grant@bristol.ac.uk>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Grant <jan.grant@bristol.ac.uk>
To: submit@bugs.debian.org
Subject: Installation report: subfire x4100, etch rc3
Date: Thu, 21 Sep 2006 09:21:03 +0100 (BST)
Package: installation-reports

Boot method: netinst CD image mounted virtually using sunfire ILOM
Image version: 
Debian GNU/Linux testing _Etch_ - Official Snapshot amd64 Binary-1 (20060810)

Date: 2006-09-20 16:00 UTC

Machine: Sun SunFire X4100 (with ILOM)
Processor: win dual-core AMD opteron
Memory: 8GB
Partitions:
[[[
Disk /dev/sdi: 72.9 GB, 72999763968 bytes
255 heads, 63 sectors/track, 8875 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdi1   *           1        6930    55665193+  83  Linux
/dev/sdi2            6931        8875    15623212+   5  Extended
/dev/sdi5            6931        8875    15623181   82  Linux swap / Solaris
]]]

Output of lspci and lspci -n:

[[[
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 13)
00:01.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:02.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 13)
00:02.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
00:06.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8111 PCI (rev 07)
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-8111 LPC (rev 05)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-8111 IDE (rev 03)
00:07.2 SMBus: Advanced Micro Devices [AMD] AMD-8111 SMBus 2.0 (rev 02)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-8111 ACPI (rev 05)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:19.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:01.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:01.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:02.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
01:02.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 03)
02:03.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1064 PCI-X Fusion-MPT SAS (rev 02)
03:00.0 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB (rev 0b)
03:00.1 USB Controller: Advanced Micro Devices [AMD] AMD-8111 USB (rev 0b)
03:03.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
04:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 13)
04:01.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
04:02.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 13)
04:02.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
]]]

[[[
00:01.0 0604: 1022:7450 (rev 13)
00:01.1 0800: 1022:7451 (rev 01)
00:02.0 0604: 1022:7450 (rev 13)
00:02.1 0800: 1022:7451 (rev 01)
00:06.0 0604: 1022:7460 (rev 07)
00:07.0 0601: 1022:7468 (rev 05)
00:07.1 0101: 1022:7469 (rev 03)
00:07.2 0c05: 1022:746a (rev 02)
00:07.3 0680: 1022:746b (rev 05)
00:18.0 0600: 1022:1100
00:18.1 0600: 1022:1101
00:18.2 0600: 1022:1102
00:18.3 0600: 1022:1103
00:19.0 0600: 1022:1100
00:19.1 0600: 1022:1101
00:19.2 0600: 1022:1102
00:19.3 0600: 1022:1103
01:01.0 0200: 8086:1010 (rev 03)
01:01.1 0200: 8086:1010 (rev 03)
01:02.0 0200: 8086:1010 (rev 03)
01:02.1 0200: 8086:1010 (rev 03)
02:03.0 0100: 1000:0050 (rev 02)
03:00.0 0c03: 1022:7464 (rev 0b)
03:00.1 0c03: 1022:7464 (rev 0b)
03:03.0 0300: 1002:4752 (rev 27)
04:01.0 0604: 1022:7450 (rev 13)
04:01.1 0800: 1022:7451 (rev 01)
04:02.0 0604: 1022:7450 (rev 13)
04:02.1 0800: 1022:7451 (rev 01)
]]]

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot worked:    [O]
Configure network HW:   [O]
Config network:         [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Create file systems:    [O]
Mount partitions:       [O]
Install base system:    [O]
Install boot loader:    [E]
Reboot:                 [O]

Comments/Problems:

The ILOM & BIOS conspire to create a number of virtual SCSI devices. 
Indeed, I installed using a "virtual" CDROM.
However:

[[[
# more /proc/scsi/sg/device_strs
AMI             Virtual CDROM           1.00
AMI             Virtual Floppy          1.00
AMI             Virtual Floppy          1.00
AMI             Virtual Floppy          1.00
AMI             Virtual Floppy          1.00
AMI             Virtual Floppy          1.00
AMI             Virtual Floppy          1.00
AMI             Virtual Floppy          1.00
AMI             Virtual Floppy          1.00
LSILOGIC        Logical Volume          3000
]]]

The root disk is therefore /dev/sdi. I don't have a problem with this, 
but the installer does. At the point where I selected a grub 
installation into the MBR, I saw a response which stated that it 
couldn't find or write to /dev/hda.

The workaround was to use the emergency shell and chroot into /target, 
running update-grub and grub-install /dev/sdi by hand.

The installation otherwise completed - apparently, under my early 
testing, successfully.

Thanks for the work on this!
jan

-- 
jan grant, ISYS, University of Bristol. http://www.bris.ac.uk/
Tel +44 (0)117 3317661   http://ioctl.org/jan/
Semantic rules, OK?



Bug reassigned from package `installation-reports' to `grub-installer'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 388559 542193 610641. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 23:33:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 17 Mar 2014 00:33:14 GMT) Full text and rfc822 format available.

Notification sent to Jan Grant <jan.grant@bristol.ac.uk>:
Bug acknowledged by developer. (Mon, 17 Mar 2014 00:33:14 GMT) Full text and rfc822 format available.

Message #16 received at 388559-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jan Grant <jan.grant@bristol.ac.uk>, 388559-done@bugs.debian.org
Cc: Teemu Likonen <tlikonen@iki.fi>, 542193@bugs.debian.org, Patrick Finnegan <pat@purdueriots.com>, 610641@bugs.debian.org
Subject: Re: Bug#388559: Installation report: subfire x4100, etch rc3
Date: Mon, 17 Mar 2014 01:28:30 +0100
[Message part 1 (text/plain, inline)]
Version: 1.86

Jan Grant <jan.grant@bristol.ac.uk> (2006-09-21):
> The root disk is therefore /dev/sdi. I don't have a problem with this, 
> but the installer does. At the point where I selected a grub 
> installation into the MBR, I saw a response which stated that it 
> couldn't find or write to /dev/hda.
> 
> The workaround was to use the emergency shell and chroot into /target, 
> running update-grub and grub-install /dev/sdi by hand.
> 
> The installation otherwise completed - apparently, under my early 
> testing, successfully.

It took quite some time, but that's been finally fixed in the above
mentioned version, by prompting where to install grub to.

The first official release featuring this bug fix is the upcoming
jessie alpha 1 installer.

Thanks everyone for your reports.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 17 Mar 2014 00:33:15 GMT) Full text and rfc822 format available.

Notification sent to Teemu Likonen <tlikonen@iki.fi>:
Bug acknowledged by developer. (Mon, 17 Mar 2014 00:33:15 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Mon, 17 Mar 2014 00:33:16 GMT) Full text and rfc822 format available.

Notification sent to Patrick Finnegan <pat@purdueriots.com>:
Bug acknowledged by developer. (Mon, 17 Mar 2014 00:33:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Apr 2014 07:28:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:12:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.